*~~~~ Declare SINGLETON SETS
$ontext

  "A singleton set in GAMS is a special set that has at most one element
(zero elements are allowed as well). Like other sets, singleton sets may
have a domain with several dimensions" (GAMS Help)

  A major advantage of singleton is that they can be used WITHOUT the need
"to be controlled by a controlling index or an indexed operator like
other sets"

  ALL singleton sets in this model are declared as subsets of the sets in
the SAM (sac): this ensures full domain checking.

  They are used in this code to
 1.  remove quoted elements from the code - this means that the labels in the
     SAM do NOT have to be exactly those in the code, although if not the
     assignments to each singleton set MUST be correctly assigned.
       This code uses singleton sets for the following groups
       a.  tax accounts
       b.  the government account
       c.  Rest of the World
       c.  totals

$offtext

SINGLETON SET

* Account Totals
 t_tot(sac)      Account totals

* Tax Accounts

 va_tax(sac)     Value added taxes on commodities
 ex_tax(sac)     Excise taxes on commodities
 m_tax(sac)      Import taxes on commodities
 e_tax(sac)      Export taxes on commodities
 s_tax(sac)      Sales taxes  on commodities
 c_sub(sac)      Subisidies on commodities 
 c_tax(sac)      Taxes on commodities not elsewhere reported
 i_tax(sac)      Industry taxes on activities
 i_sub(sac)      Industry subsidies on activities
 a_tax(sac)      Other taxes on activities
 d_tax(sac)      Direct taxes on households and enterprises

* Government account

 
* INvestment Savings account
 

* Rest of the World account
 
  ;

*~~~~ Assign SINGLETON SETS

* Account Totals
 t_tot("total")   = YES ;

* Tax Accounts

 va_tax("vattax")  = YES ;
 ex_tax("extax")   = YES ;
 m_tax("imptax")   = YES ;
 e_tax("exptax")   = YES ;
 s_tax("saltax")   = YES ;
 c_sub("comsub")   = YES ;
 c_tax("comtax")   = YES ;
 i_tax("indtax")   = YES ;
 i_sub("indsub")   = YES ;
 a_tax("acttax")   = YES ;
 d_tax("dirtax")   = YES ;
        
* Government account


* Rest of the World account

